1. Check Status
Sipay API Documentation
  • Overview
    • Getting Started
  • Authentication
    • Token Generation
      POST
  • Installments & Commission
    • Installment Details
      POST
    • Merchant Installments
      POST
    • Commission
      POST
  • HASH
    • Hash Creation
    • Hash Validation
  • Non - Secure Payment
    • Non-Secure Payment Flow
    • Non-Secure Card Payment
      POST
    • Non-Secure Recurring Payment
      POST
    • Non-Secure Insurance Payment
      POST
    • Non-Secure Pre-Authorization Payment
      POST
    • Confirm Payment
      POST
  • 3D Secure Payment
    • 3D Secure Payment Flow
    • 3D Secure Card Payment
      POST
    • 3D Secure Recurring Payment
      POST
    • 3D Secure Pre-Authorization Payment
      POST
    • Complete Payment
      POST
    • Confirm Payment
      POST
    • 3D Secure Agriculture Payment
      POST
  • Non-Secure and 3D Payment with Sipay
    • Non-Secure and 3D Payment with Sipay
      POST
  • Check Status
    • Check Status
      POST
  • Payment with Saved Card
    • Card Registration
    • 3D Secure Pay by Card Token
    • Non-Secure Pay by Card Token
    • Retrieving Saved Card
    • Edit Saved Card
    • Delete Saved Card
  • Recurring
    • Recurring Query Search
    • Recurring Plan Process
    • Recurring Plan Update
  • Refund
    • Refund
  • Cashout
    • Cashout to Bank
  • Webhook
    • Webhook
  • Status Codes
    • Status Codes
  1. Check Status

Check Status

Testing
Testing Env
https://provisioning.sipay.com.tr
Testing Env
https://provisioning.sipay.com.tr
POST
/ccpayment/api/checkstatus
This endpoint is used for checking the status of a transaction. It allows merchants to verify whether a payment has been successfully completed, is still pending, or has failed. By using this endpoint, the current state of a transaction can be retrieved in real time based on the provided transaction details. This helps ensure accurate payment tracking and provides a reliable way to confirm the final result of a payment process within the system.

The hash key must be send in the request.
Sample hash keys can be found in the request form panel on the side, corresponding to the selected programming language.

Hash Parameters#

The parameters and their order to be used for the hash algorithm are as follows.
invoice_id
merchant_key
app_secret

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

⚪68Failed
🔵32Invalid Invoice ID
Request Request Example
Shell
JavaScript
Java
Swift
#!/usr/bin/env bash

 

generate_hash_key() {
  local invoice_id="$1"
  local merchant_key="$2"
  local app_secret="$3"

 

  local data="${invoice_id}|${merchant_key}"

 

  local iv
  iv=$(openssl rand -hex 16 | openssl sha1 | awk '{print $2}' | cut -c1-16)

 

  local password
  password=$(printf "%s" "$app_secret" | openssl sha1 | awk '{print $2}')

 

  local salt
  salt=$(openssl rand -hex 16 | openssl sha1 | awk '{print $2}' | cut -c1-4)

 

  local salt_with_password
  salt_with_password=$(printf "%s" "${password}${salt}" | openssl sha256 | awk '{print $2}' | cut -c1-32)

 

  local key_hex
  key_hex=$(printf "%s" "$salt_with_password" | xxd -p -c 256)

 

  local iv_hex
  iv_hex=$(printf "%s" "$iv" | xxd -p -c 256)

 

  local encrypted_base64
  encrypted_base64=$(printf "%s" "$data" | openssl enc -aes-256-cbc -K "$key_hex" -iv "$iv_hex" -base64)

 

  local msg="${iv}:${salt}:${encrypted_base64}"
  msg="${msg//\//__}"

 

  echo "$msg"
}

 

invoice_id=""
merchant_key=""
app_secret=""

 

result=$(generate_hash_key "$invoice_id" "$merchant_key" "$app_secret")
echo "Hash Key: $result"
Response Response Example
200 - Pending Status
{
    "status_code": 69,
    "status_description": "Oder is not processed yet!",
    "transaction_status": "Pending",
    "order_id": "VP17695169711851953",
    "transaction_id": "VSu7l-NpEs-TC10-18309-270126",
    "message": "Oder is not processed yet!",
    "reason": "User did not complete the process",
    "bank_status_code": "",
    "bank_status_description": "",
    "invoice_id": "1234tsd122349",
    "total_refunded_amount": 0,
    "product_price": "5",
    "transaction_amount": 5,
    "ref_number": "",
    "transaction_type": "Auth",
    "original_bank_error_code": "",
    "original_bank_error_description": "",
    "cc_no": "45080345****4509",
    "refund_info": [],
    "payment_reason_code": "",
    "payment_reason_code_detail": "",
    "merchant_commission": "0.10",
    "user_commission": "0.00",
    "settlement_date": "2026-01-27",
    "installment": 1,
    "card_type": "CREDIT CARD"
}
Modified at 2026-04-20 11:23:27
Previous
Check Status
Next
Payment with Saved Card
Built with